Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Cs Cart 4.1.3 And Php7 Rate Topic   - - - - -

 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 16 posts

Posted 19 April 2019 - 09:17 AM #1

My hosting provider is forcing me to switch to PHP7, witch seems to be not compatible with my current version (4.1.3), at least on admin pages.
I've been trying to update my installation but, after downloading 4.1.4, I've not been able to install it: "unable to decompress files".

The support at sales@cart-power.com is totally useless ("sorry, our team is busy"!!).

So, is there anybody here who can help me to upgrade or to find some trick to make my installation compatible with PHP7?

 

Thanks in advance for ANY help...



 
  • CS-Cart team
  • CS-Cart support team
  • Moderators
  • Join Date: 04-Apr 11
  • 3808 posts

Posted 19 April 2019 - 10:50 AM #2

Please use the solution from the following post:

 

https://forum.cs-car...ndpost&p=235969


Sincerely yours, CS-Cart Support Team

 

User guide       |  Developer documentation  |  Core API documentation


 
  • cscartrocks
  • Member
  • Members
  • Join Date: 24-Jan 11
  • 1759 posts

Posted 19 April 2019 - 10:51 AM #3

We'd like to help and please feel free to contact us here.


One Step Checkout Addon - The ultimate checkout experience
Best CS-Cart SEO addon - CS-Cart SEO Ultimate Addon
PM for quality custom work/project


 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 16 posts

Posted 19 April 2019 - 11:02 AM #4

Please use the solution from the following post:

 

https://forum.cs-car...ndpost&p=235969

 

I'll try this solution asap. Many tnx



 
  • galtinbaeva
  • CS-Cart Expert
  • Authorized Reseller
  • Join Date: 06-Dec 13
  • 3365 posts

Posted 19 April 2019 - 11:04 AM #5

My hosting provider is forcing me to switch to PHP7, witch seems to be not compatible with my current version (4.1.3), at least on admin pages.
I've been trying to update my installation but, after downloading 4.1.4, I've not been able to install it: "unable to decompress files".

The support at sales@cart-power.com is totally useless ("sorry, our team is busy"!!).

So, is there anybody here who can help me to upgrade or to find some trick to make my installation compatible with PHP7?

 

Thanks in advance for ANY help...

 

Hello,

 

Upgrade is quite a difficult process. And I hope you are doing it on your dev store first. Our specialists can make an upgrade saving your data. Please contact us if you are interested.


Simtech Development | sales@simtechdev.com | www.simtechdev.com
CERTIFIED CS-CART PARTNER | LICENSES | DEVELOPMENT | ADD-ONS | DESIGN | UPGRADE

Google Analytics Enhanced Ecommerce - get advanced ecommerce analytics


 
  • eComLabs
  • CS-Cart Expert
  • Authorized Reseller
  • Join Date: 27-Jan 14
  • 19709 posts

Posted 19 April 2019 - 01:30 PM #6

Our team is also at your service


GET A FREE QUOTE | CS-Cart Add-ons | CS-Cart Licenses | CS-Cart Development | CS-Cart Design | Server Configuration | UniTheme and YOUPI
CS-Cart                USD 345     Multi-Vendor              USD 1250    CS-Cart RU                         24500 руб.
CS-Cart Ultimate  USD 775     CS-Cart + YOUPI      USD 545      CS-Cart RU + UniTheme    36000 руб.


 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 16 posts

Posted 19 April 2019 - 03:44 PM #7

Hi there. Upgrading was successfull until 4.2.1->4.2.2. Then something went wrong!
I'm trying to restore from the backup, but there is some database problem... Now I cannot revert to 4.2.1. and cannot reopen the store from "General Settings" ("Service Unavailable").
Any suggestion?



 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 16 posts

Posted 19 April 2019 - 05:08 PM #8

After a lot of trial and errors, finally I got a working 4.1.4
Then I upgraded to 4.1.5: everything apparently fine but when upgrading to 4.2.1 there were a lot of errors regarding missing fields in the db.

So I revert back to 4.1.5 which seems to work fine. BUT in the upgrade center there are no more available upgrades... and the installed upgrade page say I'm on 4.1.4

It seems I'm stuck here... Is there any way to easily uprgade to a PHP7 compatible (4.3.6, I suppose) version?!



 
  • eComLabs
  • CS-Cart Expert
  • Authorized Reseller
  • Join Date: 27-Jan 14
  • 19709 posts

Posted 22 April 2019 - 05:37 AM #9

I suggest you to make upgrades on the local server where the upgrade does not meet server limits and restrictions


GET A FREE QUOTE | CS-Cart Add-ons | CS-Cart Licenses | CS-Cart Development | CS-Cart Design | Server Configuration | UniTheme and YOUPI
CS-Cart                USD 345     Multi-Vendor              USD 1250    CS-Cart RU                         24500 руб.
CS-Cart Ultimate  USD 775     CS-Cart + YOUPI      USD 545      CS-Cart RU + UniTheme    36000 руб.


 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 16 posts

Posted 25 April 2019 - 05:57 PM #10

After a lot of trials, and changing the permissions to 755/655 at every new step, now i got 4.2.2 working.
But it's not eough to switch to PHP7.
Now the trouble with the "missing db fields" appears upgrading to 4.2.3

A real nightmare: I will never - I say never ever - suggest this software to anyone wishing to manage a shop on line!



 
  • FDGWEB
  • Junior Member
  • Authorized Reseller
  • Join Date: 20-Aug 10
  • 145 posts

Posted 09 May 2019 - 10:32 PM #11

It is usually best to copy the store and do your upgrades there, then swap out the build to production.


FDG Web, Inc - Seattle Web Design : Custom CS-Cart Programming & Design | Toll-Free: 877.239.3083

Download Proposal Templates & Web Design Contract Samples